/*
Leopard 2A5 by 111
Based on the MAF_M1A1_1stCDA 'MAF M1A1 (1stCDA)' by MAAC & MARFY

Operation*Flashpoint - Copyright (c) 2001, BIS & CM
unofficial.M1A1.addon

This addon is 100% unofficially made. 
Do not consult BIS or Codemasters if you experience problems with this addon.
NO warranties. NOT fully tested. Use at your OWN risk.
*/


class CfgPatches
{
	class Leopard2A5
	{
		units[]={"Leopard 2A5"};
    weapons[] = {"L2A5Gun","L2A5Sabot","L2A5Heat","L2A5Coax"};
		requiredVersion=1.30;
	};
};


class CfgAmmo
{
  class Default {};
  class Shell: Default {};
  class Shell73: Shell {};
  class Shell105: Shell73 {};
  class Shell120: Shell105 {};
  class L2A5Sabot: Shell120
  {
    cost=300;
    hit=600;
    explosive=false;
    soundHit[]={"Explosions\expl2",100.000008,1};
    indirectHit=0;
    indirectHitRange=150;
    minRange=10;
    minRangeProbab=0.5;
    midRange=1500;
    midRangeProbab=1;
    maxRange=2500;
    maxRangeProbab=1;
  };
  class Heat: Shell {};
  class Heat73: Heat {};
  class Heat105: Heat73 {};
  class Heat120: Heat105 {};
  class L2A5Heat: Heat120
  {
    airLock=1;
    cost=800;
    hit=450;
    soundHit[]={"Explosions\expl2",100.000008,1};
    indirectHit=40;
    indirectHitRange=7;
    minRange=10;
    minRangeProbab=0.5;
    midRange=1500;
    midRangeProbab=1;
    maxRange=2500;
    maxRangeProbab=1;
  };
  class BulletSingle: Default {};
  class Bullet7_6: BulletSingle {};
  class L2A5Coax: Bullet7_6
  {
    hit=10;
    cost=5;
    tracerColor[]={1,0.25000,0.12500,0.5};
    minRange=1;
    minRangeProbab=0.5;
    midRange=805;
    midRangeProbab=1;
    maxRange=1600;
    maxRangeProbab=0.1;
  };
};

class CfgWeapons
{
  class Default {};
  class Gun73: Default {};
  class Gun105: Gun73 {};
  class Gun120: Gun105 {};
  class L2A5Gun: Gun120
	{
		sound[]={"\Leopard2A5\gun120.ogg",10.000000,1};
		magazines[]={"L2A5Sabot","L2A5Heat"};
    reloadTime=3;
	};
  class Shell73: Default {};
  class Shell105: Shell73 {};
  class Shell120: Shell105 {};
  class L2A5Sabot: Shell120
  {
    displayName="M829 120mm APFSDS-T";
    displayNameMagazine="Sabot";
    shortNameMagazine="M829 APFSDS Ammo";
    ammo="L2A5Sabot";
    count=30;
    nameSound="heat";
    initSpeed=1540;
    reloadTime=4.0;
    sound[]={"\Leopard2A5\gun120.ogg",10.000000,1};
    aiRateOfFire=0;
    aiRateOfFireDistance=0;
  };
  class Heat120: Shell120 {};
  class L2A5Heat: Heat120
  {
    count=10;
    initSpeed=1140;
    ammo="L2A5Heat";
    displayName="M830A1 120mm HEAT";
    displayNameMagazine="HEAT";
    shortNameMagazine="M830A1 (HEAT-MP-T)";
    nameSound="shell";
    reloadTime=4.0;
		sound[]={"\Leopard2A5\gun120.ogg",10.000000,1};
    aiRateOfFire=0;
    aiRateOfFireDistance=0;
  };
  class MGun: Default {};
  class MachineGun7_6: MGun {};
  class L2A5Coax: MachineGun7_6
  {
    ammo="L2A5Coax";
    displayName="Mag 7.62mm Coax";
    displayNameMagazine="Co-ax";
    shortNameMagazine="7.62mm M240 Ammo";
    count=4800;
    reloadTime=0.074;
    sound[]={"\Leopard2A5\m240.ogg",90,0.3};
    soundContinuous=0;
    initSpeed=1300;
    flash="gunfire";
    flashSize=0.900000;
    dispersion=0.00065;
    maxLeadSpeed=50;
    aiRateOfFire=0;
    aiRateOfFireDistance=0;
    autoFire=1;
    optics=1;
  };
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles	{};
	class LandVehicle: Land {};
	class Tank: LandVehicle {};
	class M1Abrams: Tank {};
	class Leopard2A5: M1Abrams
	{
//		wheelCircumference=2.513000;
		wheelCircumference=8.513000;
		scope=2;
		crew="SoldierWCrew";
		picture="\Leopard2A5\iabrams.paa";
		side=1;
		displayName="Leopard 2A5";
		nameSound="Abrams";
		accuracy=0.400000;
		armor=1100;
		cost=4000000;
		maxSpeed=95;
    soundEnviron[]={"\Leopard2A5\m1treads.ogg",1,1};
    soundEngine[]={"\Leopard2A5\m1engine.ogg",0.5,2};
		model="\Leopard2A5\L2A5.p3d";
	  weapons[]={"L2A5Gun","L2A5Coax"};
    magazines[]={"L2A5Sabot","L2A5Heat","L2A5Coax"};
		gunnerAction="ManActM1A1Gunner";
		gunnerInAction="ManActM1A1Gunner";
		driverAction="ManActM1A1DriverOut";
		driverInAction="ManActM1A1Driver";
		commanderAction="ManActM1A1CommanderOut";
		commanderInAction="ManActM1A1Commander";
		type=1;
		threat[]={1,1,0.300000};
    class TurretBase 
    {      
  	  gunAxis="OsaHlavne";
      turretAxis="OsaVeze";
      soundServo[]={"\Leopard2A5\m1turret.ogg",0.08,1};
      gunBeg="usti hlavne";
      gunEnd="konec hlavne";
      minElev=-5;
      maxElev=42;
      minTurn=-360;
      maxTurn=360;
      body="OtocVez";
      gun="OtocHlaven";
    };
    class Turret: TurretBase 
    {
      model="\Leopard2A5\M1A1.p3d"
      picture="\Leopard2A5\iM1A1.paa";
      weapons[]={"L2A5Gun","L2A5Coax"};
      magazines[]={"L2A5Sabot","L2A5Heat","L2A5Coax"};
      irScanRange=3000;
      irScanGround=3000;
      fuelCapacity=675;
    };
  };
};

class CfgGroups
{
	class West
	{
		name="$STR_WEST";
		class Armored
		{
			name="$STR_CFG_GRP_ARMORED";
			class Leopard2A5
			{
//				name="$STR_CFG_GRP_M1PLATOON";
					name="Leopard 2A5";
				class Unit0
				{
					side=1;
					vehicle="Leopard2A5";
					rank="CAPTAIN";
					position[]={0,5,0};
				};
				class Unit1
				{
					side=1;
					vehicle="Leopard2A5";
					rank="Lieutnant";
					position[]={-20,0,0};
				};
				class Unit2
				{
					side=1;
					vehicle="Leopard2A5";
					rank="Lieutnant";
					position[]={20,0,0};
				};
				class Unit3
				{
					side=1;
					vehicle="Leopard2A5";
					rank="Corporal";
					position[]={40,0,0};
				};
			};
		};
	};
};  